# Draw
TKTopTest
HLRTest

# HLRTest_ShapeData Class Reference

Contains the colors of a shape.
.

`#include <HLRTest_ShapeData.hxx>`

## Public Member Functions

Standard_EXPORT | HLRTest_ShapeData (const Draw_Color &CVis, const Draw_Color &COVis, const Draw_Color &CIVis, const Draw_Color &CHid, const Draw_Color &COHid, const Draw_Color &CIHid)
void | VisibleColor (const Draw_Color &CVis)
void | VisibleOutLineColor (const Draw_Color &COVis)
void | VisibleIsoColor (const Draw_Color &CIVis)
void | HiddenColor (const Draw_Color &CHid)
void | HiddenOutLineColor (const Draw_Color &COHid)
void | HiddenIsoColor (const Draw_Color &CIHid)
Draw_Color | VisibleColor () const
Draw_Color | VisibleOutLineColor () const
Draw_Color | VisibleIsoColor () const
Draw_Color | HiddenColor () const
Draw_Color | HiddenOutLineColor () const
Draw_Color | HiddenIsoColor () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Draw_Color | myVColor
Draw_Color | myVOColor
Draw_Color | myVIColor
Draw_Color | myHColor
Draw_Color | myHOColor
Draw_Color | myHIColor

## Constructor & Destructor Documentation

Standard_EXPORT HLRTest_ShapeData::HLRTest_ShapeData | ( | const Draw_Color & | CVis,
|  | const Draw_Color & | COVis,
|  | const Draw_Color & | CIVis,
|  | const Draw_Color & | CHid,
|  | const Draw_Color & | COHid,
|  | const Draw_Color & | CIHid
| ) |

## Member Function Documentation

Standard_EXPORT const HLRTest_ShapeData::Handle | ( | Standard_Type |  | ) | const

Draw_Color HLRTest_ShapeData::HiddenColor | ( |  | ) | const`[inline]`

void HLRTest_ShapeData::HiddenColor | ( | const Draw_Color & | CHid | ) | `[inline]`

Draw_Color HLRTest_ShapeData::HiddenIsoColor | ( |  | ) | const`[inline]`

void HLRTest_ShapeData::HiddenIsoColor | ( | const Draw_Color & | CIHid | ) | `[inline]`

Draw_Color HLRTest_ShapeData::HiddenOutLineColor | ( |  | ) | const`[inline]`

void HLRTest_ShapeData::HiddenOutLineColor | ( | const Draw_Color & | COHid | ) | `[inline]`

Draw_Color HLRTest_ShapeData::VisibleColor | ( |  | ) | const`[inline]`

void HLRTest_ShapeData::VisibleColor | ( | const Draw_Color & | CVis | ) | `[inline]`

Draw_Color HLRTest_ShapeData::VisibleIsoColor | ( |  | ) | const`[inline]`

void HLRTest_ShapeData::VisibleIsoColor | ( | const Draw_Color & | CIVis | ) | `[inline]`

Draw_Color HLRTest_ShapeData::VisibleOutLineColor | ( |  | ) | const`[inline]`

void HLRTest_ShapeData::VisibleOutLineColor | ( | const Draw_Color & | COVis | ) | `[inline]`

## Field Documentation

Draw_Color HLRTest_ShapeData::myHColor `[private]`

Draw_Color HLRTest_ShapeData::myHIColor `[private]`

Draw_Color HLRTest_ShapeData::myHOColor `[private]`

Draw_Color HLRTest_ShapeData::myVColor `[private]`

Draw_Color HLRTest_ShapeData::myVIColor `[private]`

Draw_Color HLRTest_ShapeData::myVOColor `[private]`

The documentation for this class was generated from the following files:

- HLRTest_ShapeData.hxx
- HLRTest_ShapeData.lxx